/*
 * businessBean.java
 *
 * Created on 12 novembre 2000, 15.02
 */

package ejbtechnique;

/**
 *
 * @author  Administrator
 * @version
 */
public class BusinessBean extends BusinessObject implements javax.ejb.EntityBean,Proxiable,Versionable {
    ProxyDelegate proxyDelegate;
    javax.ejb.EntityContext entityContext;
    // CMP field must be public
    public Integer versionID;
    public Integer primaryKey;

    public BusinessBean() {
    }

    public void bulkSetAttribute(java.util.Map attributeMap) throws java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": bulkSetAttribute method called");
        proxyDelegate.bulkSetAttribute(attributeMap);
    }

    public java.util.Map bulkGetAttribute(java.util.Set attributeSet) throws java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": bulkGetAttribute method called");
        return proxyDelegate.bulkGetAttribute(attributeSet);
    }

    public void setEntityContext(final javax.ejb.EntityContext p1) throws javax.ejb.EJBException, java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": setEntityContext method called");
        this.entityContext=p1;
    }

    public void ejbPassivate() throws javax.ejb.EJBException, java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": ejbPassivate method called");
        proxyDelegate=null;
    }

    public void unsetEntityContext() throws javax.ejb.EJBException, java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": unsetEntityContext method called");
        entityContext=null;
    }

    public void ejbActivate() throws javax.ejb.EJBException, java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": ejbActivate method called");
        proxyDelegate=new ProxyDelegate(this);
    }

    public void ejbStore() throws javax.ejb.EJBException, java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": ejbStore method called");
    }

    public void ejbRemove() throws javax.ejb.RemoveException, javax.ejb.EJBException, java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": ejbRemove method called");
    }

    public void ejbLoad() throws javax.ejb.EJBException, java.rmi.RemoteException {
        //System.out.println(this.getClass().toString()+": ejbLoad method called");
    }

    /** Getter for property versionID.
     * @return Value of property versionID.
 */
    public Integer getVersionID() {
        //System.out.println(this.getClass().toString()+": getVersionID method called");
        return versionID;
    }

    /** Setter for property versionID.
     * @param versionID New value of property versionID.
 */
    public void setVersionID(Integer versionID) {
        //System.out.println(this.getClass().toString()+": setVersionID method called");
        this.versionID=versionID;
    }

    public Integer ejbCreate(Integer id,String value) throws javax.ejb.CreateException{
        //System.out.println(this.getClass().toString()+": ejbCreateString method called");
        primaryKey=id;
        string=value;
        versionID=new Integer(0);
        return null;
    }
    public void ejbPostCreate(Integer id,String value) throws java.rmi.RemoteException{
        //System.out.println(this.getClass().toString()+": ejbPostCreateString method called");
        proxyDelegate=new ProxyDelegate(this);
    }

    public java.util.Map getAllAttributes() throws java.rmi.RemoteException {
      return proxyDelegate.getAllAttributes();
    }


}
